Subject: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: martin rudalics <[email-masked]>
Date: Thu, 03 Nov 2011 14:59:45 +0100

>>> BTW, do you think it's possible for `calc' to use a single
 >>> `display-buffer' call with a display action so that users could easily
 >>> override its default *Calc* window displaying behavior?
[...]
 > But I meant that *Calculator* and *Calc Trail* windows could be
 > displayed with `display-buffer' and an appropriate ACTION argument.
 > Then users will be able to customize its default behavior.

We'd have to change the calling convention if we were to allow a "single
`display-buffer' call" to display both *Calculator* and *Calc Trail*.

 > Isn't it the goal of window related improvements to allow
 > customizing easily of how windows are displayed?

Yes.  But it's already quite tedious to achieve this goal for the one
buffer case (as in ispell, ibuffer, buff-menu or calendar).

martin